# Models

## The payload object

```json
{"openapi":"3.0.1","info":{"title":"Transaction Signature","version":"2.0"},"components":{"schemas":{"payload":{"required":["payloadType"],"type":"object","properties":{"signature":{"$ref":"#/components/schemas/signature"},"payloadType":{"type":"string","description":"The type of payload returned in response.","xml":{"name":"type","attribute":true}}},"description":"This model represents the signature response payload","xml":{"name":"payload"}},"signature":{"required":["base-64-image","created","transaction-id"],"type":"object","properties":{"transaction-id":{"type":"integer","description":"Unique identifier of the transaction associated with the signature.","format":"int32"},"base-64-image":{"type":"string","description":"Base64-encoded image data of the captured transaction signature."},"created":{"type":"string","description":"Date and time when the signature was created."}},"description":"This model represents the signature","xml":{"name":"signature"}}}}}
```

## The signature object

```json
{"openapi":"3.0.1","info":{"title":"Transaction Signature","version":"2.0"},"components":{"schemas":{"signature":{"required":["base-64-image","created","transaction-id"],"type":"object","properties":{"transaction-id":{"type":"integer","description":"Unique identifier of the transaction associated with the signature.","format":"int32"},"base-64-image":{"type":"string","description":"Base64-encoded image data of the captured transaction signature."},"created":{"type":"string","description":"Date and time when the signature was created."}},"description":"This model represents the signature","xml":{"name":"signature"}}}}}
```

## The Error object

```json
{"openapi":"3.0.1","info":{"title":"Transaction Signature","version":"2.0"},"components":{"schemas":{"Error":{"type":"object","properties":{"errorMessage":{"type":"string","description":"Describes the reason for the error."},"resultCode":{"type":"integer","description":"Numeric code that identifies the type of error returned by the request.","format":"int32"},"timeStamp":{"type":"string","description":"Date and time when the error occurred, ISO 8601 format (UTC)."}}}}}}
```

## The ErrorResult object

```json
{"openapi":"3.0.1","info":{"title":"Transaction Signature","version":"2.0"},"components":{"schemas":{"ErrorResult":{"type":"object","properties":{"errorResults":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}},"Error":{"type":"object","properties":{"errorMessage":{"type":"string","description":"Describes the reason for the error."},"resultCode":{"type":"integer","description":"Numeric code that identifies the type of error returned by the request.","format":"int32"},"timeStamp":{"type":"string","description":"Date and time when the error occurred, ISO 8601 format (UTC)."}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xplorpay.com/api-reference/api/payments/terminal-card-present/transaction-signature/models.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
